Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/HTMLPlayer.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/HTMLPlayer.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/HTMLPlayer.java	(revision 3822)
@@ -30,6 +30,8 @@
 import org.txm.rcp.editors.TXMBrowserEditor;
 import org.txm.rcp.swt.GLComposite;
 
+import vlcplayerrcp.MessagesMP;
+
 public class HTMLPlayer extends Composite implements IPlayer {
 	
 	Browser browser;
@@ -84,10 +86,10 @@
 		// use flex  to center the video
 		// use ondataload fix the video size depending on its ratio and the viewport height
 		// diable the fullscreen button, use a CSS special rule for webkit
-		String html = "<!DOCTYPE html><html><head><meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">\n" + 
-				"<style>video::-webkit-media-controls-fullscreen-button {display: none;</style></head>\n" + 
-				"<body><div style=\"display:flex;align-items: center;justify-content: center;\">\n" + 
-				"<video id=\"video\" controls controlsList=\"nofullscreen nodownload\" onloadeddata=\"v = document.getElementById('video');r = v.videoWidth/v.videoHeight; v.style.width=(95*r)+'vh';\"></video></div></body></html>";
+		String html = "<!DOCTYPE html><html><head><meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">\n" +  //$NON-NLS-1$
+				"<style>video::-webkit-media-controls-fullscreen-button {display: none;</style></head>\n" +  //$NON-NLS-1$
+				"<body><div style=\"display:flex;align-items: center;justify-content: center;\">\n" +  //$NON-NLS-1$
+				"<video id=\"video\" controls controlsList=\"nofullscreen nodownload\" onloadeddata=\"v = document.getElementById('video');r = v.videoWidth/v.videoHeight; v.style.width=(95*r)+'vh';\"></video></div></body></html>"; //$NON-NLS-1$
 		
 		browser.setText(html); // <source> is set later
 		
@@ -132,7 +134,7 @@
 		
 		Menu menu = new Menu(browser);
 		MenuItem playStopItem = new MenuItem(menu, SWT.PUSH);
-		playStopItem.setText("Play");
+		playStopItem.setText(MessagesMP.Play);
 		playStopItem.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -144,7 +146,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		MenuItem pauseItem = new MenuItem(menu, SWT.PUSH);
-		pauseItem.setText("Pause");
+		pauseItem.setText(MessagesMP.Pause);
 		pauseItem.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -157,7 +159,7 @@
 		});
 		
 		MenuItem minus10Item = new MenuItem(menu, SWT.PUSH);
-		minus10Item.setText("-10s");
+		minus10Item.setText(MessagesMP.Minus10S);
 		minus10Item.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -170,7 +172,7 @@
 		});
 		
 		MenuItem plus10Item = new MenuItem(menu, SWT.PUSH);
-		plus10Item.setText("+10s");
+		plus10Item.setText(MessagesMP.Plus10S);
 		plus10Item.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -184,19 +186,19 @@
 		
 		browser.setMenu(menu);
 		
-		GLComposite controls = new GLComposite(this, SWT.NONE, "controls");
+		GLComposite controls = new GLComposite(this, SWT.NONE, "controls"); //$NON-NLS-1$
 		controls.getLayout().numColumns = 20;
 		controls.getLayout().horizontalSpacing = 2;
 		
 		if (!lightweight) {
 			Button openButton = new Button(controls, SWT.PUSH);
-			openButton.setText("Open...");
+			openButton.setText(MessagesMP.Opennnn);
 			openButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
 				public void widgetSelected(SelectionEvent event) {
 					
-					SimpleFileDialog fd = new SimpleFileDialog(HTMLPlayer.this.getDisplay().getActiveShell(), "Opening media file...", "Enter file path or URL", BackToMediaPreferences.getInstance().getString(OpenMediaPlayer.ID), null);
+					SimpleFileDialog fd = new SimpleFileDialog(HTMLPlayer.this.getDisplay().getActiveShell(), MessagesMP.OpeningMediaFile, MessagesMP.EnterFilePathOrURL, BackToMediaPreferences.getInstance().getString(OpenMediaPlayer.ID), null);
 					if (fd.open() == SimpleFileDialog.OK) {
 						String mrl = fd.getValue();
 						
@@ -219,7 +221,7 @@
 			});
 			
 			stopButton = new Button(controls, SWT.PUSH);
-			stopButton.setText("Stop");
+			stopButton.setText(MessagesMP.Stop);
 			stopButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -233,7 +235,7 @@
 			
 
 			Button minus10Button = new Button(controls, SWT.PUSH);
-			minus10Button.setText("-10s");
+			minus10Button.setText(MessagesMP.Minus10S);
 			minus10Button.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -246,7 +248,7 @@
 			});
 			
 			Button plus10Button = new Button(controls, SWT.PUSH);
-			plus10Button.setText("+10s");
+			plus10Button.setText(MessagesMP.Plus10S);
 			plus10Button.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -328,7 +330,7 @@
 			//			volumneSpinner.setLayoutData(gdata);
 			
 			rateLabel = new Label(controls, SWT.NONE);
-			rateLabel.setText("Rate (1.0)");
+			rateLabel.setText(MessagesMP.Rate10);
 			
 			Scale rateSpinner = new Scale(controls, SWT.NONE);
 			rateSpinner.setMinimum(10);
@@ -376,7 +378,7 @@
 			
 	protected float getTime() {
 		
-		Object time = browser.evaluate("return document.getElementById('video').currentTime;");
+		Object time = browser.evaluate("return document.getElementById('video').currentTime;"); //$NON-NLS-1$
 		if (time != null) {
 			return Float.valueOf(time.toString());
 		} else {
@@ -423,23 +425,23 @@
 	public boolean play(String mrl, String startTime, String endTime) {
 		
 		int start=0, end=0;
-		if (startTime.matches("[0-9]+.[0-9]+")) {
+		if (startTime.matches("[0-9]+.[0-9]+")) { //$NON-NLS-1$
 			start = (int) (Float.parseFloat(startTime));
 		}
-		else if (startTime.matches("[0-9]+:[0-9]+:[0-9]+")) {
-			if (startTime.indexOf(":") == 1) {
-				startTime = "0" + startTime;
+		else if (startTime.matches("[0-9]+:[0-9]+:[0-9]+")) { //$NON-NLS-1$
+			if (startTime.indexOf(":") == 1) { //$NON-NLS-1$
+				startTime = "0" + startTime; //$NON-NLS-1$
 			}
 			LocalTime time1 = LocalTime.parse(startTime, hhmmssFormatter);
 			start =  ((time1.getHour() * 60 * 60) + (time1.getMinute() * 60) + time1.getSecond());
 		}
 		
 		if (endTime != null) {
-			if (endTime.matches("[0-9]+.[0-9]+")) {
+			if (endTime.matches("[0-9]+.[0-9]+")) { //$NON-NLS-1$
 				end = (int) ( Float.parseFloat(endTime));
 			}
-			else if (endTime.matches("[0-9]+:[0-9]+:[0-9]+")) {
-				if (endTime.indexOf(":") == 1) endTime = "0" + endTime;
+			else if (endTime.matches("[0-9]+:[0-9]+:[0-9]+")) { //$NON-NLS-1$
+				if (endTime.indexOf(":") == 1) endTime = "0" + endTime; //$NON-NLS-1$ //$NON-NLS-2$
 				LocalTime time1 = LocalTime.parse(endTime, hhmmssFormatter);
 				end =  ((time1.getHour() * 60 * 60) + (time1.getMinute() * 60) + time1.getSecond());
 			}
@@ -455,19 +457,19 @@
 		//		browser.evaluate("document.getElementById('video');");
 		//		
 		if (login != null && mdp != null) {
-			mrl2 = mrl2.replace("{0}", login).replace("{1}", mdp);
+			mrl2 = mrl2.replace("{0}", login).replace("{1}", mdp); //$NON-NLS-1$ //$NON-NLS-2$
 		} 
 		//System.out.println("MEDIA URL: "+mrl2);
-		String script = "";
+		String script = ""; //$NON-NLS-1$
 		
 		if (HTMLPlayer.this.mrl == null || !HTMLPlayer.this.mrl.equals(mrl2)) {
-			script += "document.getElementById('video').setAttribute('src', '"+mrl2+"');\n"; 
+			script += "document.getElementById('video').setAttribute('src', '"+mrl2+"');\n";  //$NON-NLS-1$ //$NON-NLS-2$
 			
-			script += "document.getElementById('video').play();\n" +
-					"document.getElementById('video').onloadedmetadata = function() {document.getElementById('video').currentTime = "+start+";};\n";
+			script += "document.getElementById('video').play();\n" + //$NON-NLS-1$
+					"document.getElementById('video').onloadedmetadata = function() {document.getElementById('video').currentTime = "+start+";};\n"; //$NON-NLS-1$ //$NON-NLS-2$
 		} else {
-			script += "document.getElementById('video').play();\n" +
-					"document.getElementById('video').currentTime="+start+";\n";
+			script += "document.getElementById('video').play();\n" + //$NON-NLS-1$
+					"document.getElementById('video').currentTime="+start+";\n"; //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		//System.out.println("EVAL: "+script);
@@ -490,8 +492,8 @@
 		if (browser.isDisposed()) return;
 		
 		mrl = null;
-		browser.evaluate("document.getElementById('video').pause();");
-		browser.evaluate("document.getElementById('video').removeAttribute('src');");
+		browser.evaluate("document.getElementById('video').pause();"); //$NON-NLS-1$
+		browser.evaluate("document.getElementById('video').removeAttribute('src');"); //$NON-NLS-1$
 		
 	}
 	
@@ -519,7 +521,7 @@
 	@Override
 	public void setRepeat(boolean b) {
 		
-		browser.evaluate("document.getElementById('video').loop="+b+";");
+		browser.evaluate("document.getElementById('video').loop="+b+";"); //$NON-NLS-1$ //$NON-NLS-2$
 		
 	}
 	//
@@ -533,7 +535,7 @@
 	@Override
 	public void seek(float time) {
 		
-		browser.evaluate("document.getElementById('video').currentTime="+time+";");
+		browser.evaluate("document.getElementById('video').currentTime="+time+";"); //$NON-NLS-1$ //$NON-NLS-2$
 		
 	}
 	
@@ -551,42 +553,42 @@
 	@Override
 	public void pause() {
 		
-		browser.evaluate("document.getElementById('video').pause();");
+		browser.evaluate("document.getElementById('video').pause();"); //$NON-NLS-1$
 		
 	}
 	
 	@Override
 	public void replay() {
 		
-		browser.evaluate("document.getElementById('video').currentTime=0;");
+		browser.evaluate("document.getElementById('video').currentTime=0;"); //$NON-NLS-1$
 		
 	}
 	
 	@Override
 	public void resume() {
 		
-		browser.evaluate("document.getElementById('video').play();");
+		browser.evaluate("document.getElementById('video').play();"); //$NON-NLS-1$
 		
 	}
 	
 	@Override
 	public void setVolume(double volume) {
 		
-		browser.evaluate("document.getElementById('video').volume="+volume/100.0d+";");
-		if (volumeLabel != null && !volumeLabel.isDisposed()) volumeLabel.setText("Volume ("+(int)volume+"%)");
+		browser.evaluate("document.getElementById('video').volume="+volume/100.0d+";"); //$NON-NLS-1$ //$NON-NLS-2$
+		if (volumeLabel != null && !volumeLabel.isDisposed()) volumeLabel.setText(MessagesMP.VolumeP0+(int)volume+"%)"); //$NON-NLS-2$
 	}
 	
 	@Override
 	public void setRate(float rate) {
 		
-		browser.evaluate("document.getElementById('video').playbackRate="+rate+";");
-		if (rateLabel != null && !rateLabel.isDisposed()) rateLabel.setText(String.format("Rate (%.1f)", rate));
+		browser.evaluate("document.getElementById('video').playbackRate="+rate+";"); //$NON-NLS-1$ //$NON-NLS-2$
+		if (rateLabel != null && !rateLabel.isDisposed()) rateLabel.setText(String.format(MessagesMP.Rate1f, rate));
 		
 	}
 	
 	@Override
 	public boolean isPlaying() {
-		Object o = browser.evaluate("return !document.getElementById('video').playing;");
+		Object o = browser.evaluate("return !document.getElementById('video').playing;"); //$NON-NLS-1$
 		if (o == null) return false;
 		if (o instanceof Boolean) {
 			return (Boolean)o;
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/VLCPlayer.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/VLCPlayer.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/VLCPlayer.java	(revision 3822)
@@ -46,30 +46,30 @@
 			
 			@Override
 			protected void onFound(String path, NativeDiscoveryStrategy strategy) {
-				Log.finer("VLC NativeDiscovery: onFound " + path + " " + strategy);
+				Log.finer("VLC NativeDiscovery: onFound " + path + " " + strategy); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			@Override
 			protected void onNotFound() {
-				Log.finer("VLC NativeDiscovery: Not found.");
+				Log.finer("VLC NativeDiscovery: Not found."); //$NON-NLS-1$
 			}
 		};
 		
 		boolean found = discovery.discover();
-		Log.finer("VLC NativeDiscovery: the discovery was succesfull ? " + found);
+		Log.finer("VLC NativeDiscovery: the discovery was succesfull ? " + found); //$NON-NLS-1$
 		if (found) {
 			libvlc_instance_t instance = libvlc_new(0, new StringArray(new String[0]));
-			Log.finer("VLC NativeDiscovery: VLC instance is " + instance);
+			Log.finer("VLC NativeDiscovery: VLC instance is " + instance); //$NON-NLS-1$
 			if (instance != null) {
 				libvlc_release(instance);
 			}
 			else {
-				Log.warning(NLS.bind("** Impossible to use your VLC [{0}] (please check that you have at least VLC version 3.0).", instance));
+				Log.warning(NLS.bind(MessagesMP.ImpossibleToUseYourVLCP0, instance));
 			}
-			Log.finer("VLC NativeDiscovery: VLC version is " + new LibVlcVersion().getVersion());
+			Log.finer("VLC NativeDiscovery: VLC version is " + new LibVlcVersion().getVersion()); //$NON-NLS-1$
 		}
 		else {
-			Log.warning("** Impossible to find VLC (please check that you have at least VLC version 3.0).");
+			Log.warning(MessagesMP.ImpossibleToFindVLC);
 		}
 	}
 	
@@ -311,7 +311,7 @@
 			public void widgetSelected(SelectionEvent e) {
 				float rate = rateField.getSelection() / 100.0f;
 				vlcPlayer.controls().setRate(rate);
-				rateValueLabel.setText("" + rateField.getSelection() + "%");
+				rateValueLabel.setText("" + rateField.getSelection() + "%"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			@Override
@@ -338,7 +338,7 @@
 			public void widgetSelected(SelectionEvent e) {
 				vlcPlayer.audio().setVolume(volumeField.getSelection());
 				volume = volumeField.getSelection();
-				volumeValueLabel.setText("" + volume + "%");
+				volumeValueLabel.setText("" + volume + "%"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			@Override
@@ -346,20 +346,20 @@
 		});
 		
 		volumeValueLabel = new Label(this, SWT.NONE);
-		volumeValueLabel.setText("100%");
+		volumeValueLabel.setText("100%"); //$NON-NLS-1$
 		
 		vlcPlayer.events().addMediaPlayerEventListener(new MediaPlayerEventAdapter() {
 			
 			@Override
 			public void opening(MediaPlayer mediaPlayer) {
 				if (videoComposite.isDisposed()) return;
-				Log.finer("Opening media...");
+				Log.finer("Opening media..."); //$NON-NLS-1$
 			}
 			
 			@Override
 			public void finished(MediaPlayer mediaPlayer) {
 				if (videoComposite.isDisposed()) return;
-				Log.finer("Finished playing media...");
+				Log.finer("Finished playing media..."); //$NON-NLS-1$
 				mediaPlayer.submit(new Runnable() {
 					
 					@Override
@@ -538,22 +538,22 @@
 	@Override
 	public boolean play(String mrl, String startTime, String endTime) {
 		
-		if (startTime.matches("[0-9]+.[0-9]+")) {
+		if (startTime.matches("[0-9]+.[0-9]+")) { //$NON-NLS-1$
 			start = (int) (1000 * Float.parseFloat(startTime));
 		}
-		else if (startTime.matches("[0-9]+:[0-9]+:[0-9]+")) {
-			if (startTime.indexOf(":") == 1) {
-				startTime = "0" + startTime;
+		else if (startTime.matches("[0-9]+:[0-9]+:[0-9]+")) { //$NON-NLS-1$
+			if (startTime.indexOf(":") == 1) { //$NON-NLS-1$
+				startTime = "0" + startTime; //$NON-NLS-1$
 			}
 			LocalTime time1 = LocalTime.parse(startTime, hhmmssFormatter);
 			start = 1000 * ((time1.getHour() * 60 * 60) + (time1.getMinute() * 60) + time1.getSecond());
 		}
 		
-		if (endTime.matches("[0-9]+.[0-9]+")) {
+		if (endTime.matches("[0-9]+.[0-9]+")) { //$NON-NLS-1$
 			end = (int) (1000 * Float.parseFloat(endTime));
 		}
-		else if (endTime.matches("[0-9]+:[0-9]+:[0-9]+")) {
-			if (endTime.indexOf(":") == 1) endTime = "0" + endTime;
+		else if (endTime.matches("[0-9]+:[0-9]+:[0-9]+")) { //$NON-NLS-1$
+			if (endTime.indexOf(":") == 1) endTime = "0" + endTime; //$NON-NLS-1$ //$NON-NLS-2$
 			LocalTime time1 = LocalTime.parse(endTime, hhmmssFormatter);
 			end = 1000 * ((time1.getHour() * 60 * 60) + (time1.getMinute() * 60) + time1.getSecond());
 		}
@@ -562,13 +562,13 @@
 		
 		Log.finer(MessagesMP.bind(MessagesMP.playing, new Object[] { mrl, startTime, endTime }));
 		
-		String[] options = { " :live-caching=200" }; // reduce video stream cache duration to 200ms
+		String[] options = { " :live-caching=200" }; // reduce video stream cache duration to 200ms //$NON-NLS-1$
 		
-		Log.finer("Preparing media...");
+		Log.finer("Preparing media..."); //$NON-NLS-1$
 		
 		// inserting login+mdp
 		String tmp = null;
-		if (authenticatedURLMode && mrl.contains("{0}") && mrl.contains("{1}")
+		if (authenticatedURLMode && mrl.contains("{0}") && mrl.contains("{1}") //$NON-NLS-1$ //$NON-NLS-2$
 				&& System.getProperty(BackToMediaPreferences.MEDIA_AUTH_LOGIN) != null && System.getProperty(BackToMediaPreferences.MEDIA_AUTH_PASSWORD) != null) {
 			tmp = NLS.bind(mrl, System.getProperty(BackToMediaPreferences.MEDIA_AUTH_LOGIN), System.getProperty(BackToMediaPreferences.MEDIA_AUTH_PASSWORD));
 		}
@@ -576,24 +576,24 @@
 		// use the patched URL if authenticatedURL is true
 		if (authenticatedURLMode && tmp != null) {
 			if (!vlcPlayer.media().prepare(tmp, options)) {
-				Log.finer("** Impossible to prepare media.");
+				Log.finer("** Impossible to prepare media."); //$NON-NLS-1$
 				return false;
 			}
 		}
 		else {
 			if (!vlcPlayer.media().prepare(mrl, options)) {
-				Log.finer("** Impossible to prepare media.");
+				Log.finer("** Impossible to prepare media."); //$NON-NLS-1$
 				return false;
 			}
 		}
 		
-		Log.finer("Is media valid ?");
+		Log.finer("Is media valid ?"); //$NON-NLS-1$
 		if (!vlcPlayer.media().isValid()) {
-			Log.finer("** Invalid media.");
+			Log.finer("** Invalid media."); //$NON-NLS-1$
 			return false;
 		}
 		
-		Log.info("Playing media...");
+		Log.info(MessagesMP.PlayingMedia);
 		vlcPlayer.controls().play();
 		vlcPlayer.audio().setVolume(volume);
 		vlcPlayer.controls().setTime(start);
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/MediaPlayerEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/MediaPlayerEditor.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/player/MediaPlayerEditor.java	(revision 3822)
@@ -21,7 +21,7 @@
 	
 	@Override
 	public void createPartControl(Composite parent) {
-		if ("VLC".equals(BackToMediaPreferences.getInstance().getString(BackToMediaPreferences.PLAYER))) {
+		if ("VLC".equals(BackToMediaPreferences.getInstance().getString(BackToMediaPreferences.PLAYER))) { //$NON-NLS-1$
 			player = new VLCPlayer(parent, SWT.BORDER);
 		} else { //if ("HTML".equals(BackToMediaPreferences.getInstance().getString(BackToMediaPreferences.PLAYER))) {
 			HTMLPlayer hplayer = new HTMLPlayer(parent, SWT.BORDER, this.getEditorInput().getLightWeightInterface());
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/SimpleFileDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/SimpleFileDialog.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/SimpleFileDialog.java	(revision 3822)
@@ -36,7 +36,7 @@
 		setErrorMessage(null);
 		selectButton = new Button(p, SWT.PUSH);
 		selectButton.setLayoutData(new GridData(GridData.FILL, GridData.BEGINNING, true, true));
-		selectButton.setText("...");
+		selectButton.setText("..."); //$NON-NLS-1$
 		selectButton.addSelectionListener(new SelectionListener() {
 			
 			@Override
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/OpenMediaPlayer.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/OpenMediaPlayer.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/OpenMediaPlayer.java	(revision 3822)
@@ -69,7 +69,7 @@
 		if (o instanceof IStructuredSelection) {
 			selection = (IStructuredSelection) o;
 			Object s = selection.getFirstElement();
-			if (s instanceof File && !((File)s).isDirectory() && !((File)s).getName().endsWith(".groovy")) {
+			if (s instanceof File && !((File)s).isDirectory() && !((File)s).getName().endsWith(".groovy")) { //$NON-NLS-1$
 				
 				File f = (File) s;
 				
@@ -84,7 +84,7 @@
 		}
 		
 		Shell sh = HandlerUtil.getActiveShell(event);
-		SimpleFileDialog fd = new SimpleFileDialog(sh, "Opening media file...", "Enter file path or URL", BackToMediaPreferences.getInstance().getString(ID), null);
+		SimpleFileDialog fd = new SimpleFileDialog(sh, MessagesMP.OpeningMediaFile, MessagesMP.EnterFilePathOrURL, BackToMediaPreferences.getInstance().getString(ID), null);
 		// FileDialog fd = new FileDialog(new Shell(), SWT.SAVE);
 		// fd.setText(MessagesMP.select_file);
 		
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java	(revision 3822)
@@ -13,6 +13,8 @@
 import org.txm.objects.CorpusCommandPreferences;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
+import vlcplayerrcp.MessagesMP;
+
 public class MediaPreferences extends AbstractHandler {
 	
 	@Override
@@ -51,11 +53,11 @@
 				return false;
 			}
 			
-			System.out.println("Media preferences updated with " + dialog.getProperties());
+			System.out.println(MessagesMP.MediaPreferencesUpdatedWithP0 + dialog.getProperties());
 			return true;
 		}
 		else {
-			System.out.println("Canceled.");
+			System.out.println(MessagesMP.Canceled);
 			return false;
 		}
 	}
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferencesDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferencesDialog.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferencesDialog.java	(revision 3822)
@@ -22,6 +22,8 @@
 import org.txm.objects.CorpusCommandPreferences;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
+import vlcplayerrcp.MessagesMP;
+
 public class MediaPreferencesDialog extends Dialog {
 	
 	public static String[] properties = { BackToMediaPreferences.REPEAT, 
@@ -73,10 +75,10 @@
 			gd.minimumWidth = 200;
 			t.setLayoutData(gd);
 			t.setText(commandPreferences.get(p, alternative));
-			if (p.contains("directory")) {
+			if (p.contains("directory")) { //$NON-NLS-1$
 				t.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 1, 1));
 				Button b = new Button(c, SWT.PUSH);
-				b.setText("...");
+				b.setText("..."); //$NON-NLS-1$
 				b.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -103,7 +105,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText("Media preferences");
+		newShell.setText(MessagesMP.MediaPreferences);
 	}
 	
 	// @Override
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 3822)
@@ -108,7 +108,7 @@
 		
 		IWorkbenchPart page = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
 		
-		if (event.getParameter("corpus") != null && event.getParameter("text") != null && (event.getParameter("word") != null || event.getParameter("time") != null)) {
+		if (event.getParameter("corpus") != null && event.getParameter("text") != null && (event.getParameter("word") != null || event.getParameter("time") != null)) { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			
 			String corpus_parameter = event.getParameter("corpus"); //$NON-NLS-1$
 			String text_parameter = event.getParameter("text"); //$NON-NLS-1$
@@ -121,7 +121,7 @@
 			try {
 				CQPCorpus cqpCorpus = CorpusManager.getCorpusManager().getCorpus(corpus_parameter);
 				if (cqpCorpus == null) {
-					Log.warning(NLS.bind("Corpus with ID={0} not found.", corpus_parameter));
+					Log.warning(NLS.bind(MessagesMP.ErrorCorpusWithIDP0NotFound, corpus_parameter));
 					return null;
 				}
 				
@@ -139,7 +139,7 @@
 				}
 			}
 			catch (Exception e) {
-				Log.warning(TXMCoreMessages.bind("Fail open media for parameters corpus={0} text={1} word={2}: {3}", corpus_parameter, text_parameter, word_parameter, e));
+				Log.warning(TXMCoreMessages.bind(MessagesMP.FailToOpenMediaForParametersCorpusP0TextP1WordP2P3, corpus_parameter, text_parameter, word_parameter, e));
 				Log.printStackTrace(e);
 			}
 			return null;
@@ -184,7 +184,7 @@
 			String[] ids = panel.getWordSelection();
 			// System.out.println("Words: "+Arrays.toString(ids));
 			if (ids == null || ids[0] == null) {
-				return backToMedia(cqpCorpus, text.getName(), "0.0", null, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
+				return backToMedia(cqpCorpus, text.getName(), "0.0", null, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell()); //$NON-NLS-1$
 			}
 			else if (ids[1] == null) { // only one word is selected -> using sync_mode preferences
 				try {
@@ -197,8 +197,8 @@
 			}
 			else { // play the current word selection
 				try {
-					CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", ids[0] + "|" + ids[ids.length - 1], text.getName()));
-					QueryResult rez = cqpCorpus.query(query, "TMP", false);
+					CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", ids[0] + "|" + ids[ids.length - 1], text.getName())); //$NON-NLS-1$ //$NON-NLS-2$
+					QueryResult rez = cqpCorpus.query(query, "TMP", false); //$NON-NLS-1$
 					if (rez.getNMatch() == 2) {
 						Match m = rez.getMatch(0);
 						Match n = rez.getMatch(1);
@@ -212,7 +212,7 @@
 						
 						Property timeProperty = cqpCorpus.getProperty(pTimeName);
 						if (timeProperty == null) {
-							Log.warning(NLS.bind("No word property {0} found in corpus {1}.", pTimeName, cqpCorpus));
+							Log.warning(NLS.bind(MessagesMP.ErrorNoWordPropertyP0FoundInCorpusP1, pTimeName, cqpCorpus));
 							return null;
 						}
 						String start = m.getValueForProperty(timeProperty);
@@ -220,7 +220,7 @@
 						return backToMedia(cqpCorpus, text.getName(), start, end, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
 					}
 					else {
-						Log.warning(NLS.bind("Fail to find words with ids={0} in text with id={1}.", ids[0] + "|" + ids[ids.length - 1], text.getName()));
+						Log.warning(NLS.bind(MessagesMP.FailToFindWordsWithIdsP0InTextWithIdP1, ids[0] + "|" + ids[ids.length - 1], text.getName())); //$NON-NLS-2$ //$NON-NLS-1$
 						return null;
 					}
 				}
@@ -258,25 +258,25 @@
 		Match n = null;
 		
 		if (wordids[1] == null) {
-			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0], textid));
-			QueryResult rez = corpus.query(query, "TMP", false);
+			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0], textid)); //$NON-NLS-1$
+			QueryResult rez = corpus.query(query, "TMP", false); //$NON-NLS-1$
 			
 			if (rez.getNMatch() == 0) {
-				Log.warning(NLS.bind("Warning: found no word for id={0} in {1}", wordids[0], textid));
+				Log.warning(NLS.bind(MessagesMP.WarningFoundNoWordForIdP0InP1, wordids[0], textid));
 				return null;
 			} else if (rez.getNMatch() > 1) {
-				Log.warning(NLS.bind("Warning: found more than one word for id={0} in {1}", wordids[0], textid));
+				Log.warning(NLS.bind(MessagesMP.WarningFoundMoreThanOneWordForIdP0InP1, wordids[0], textid));
 			}
 			
 			m = rez.getMatch(0);
 			n = rez.getMatch(0);
 		}
 		else if (wordids[0] != null && wordids[1] != null) {
-			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0] + "|" + wordids[1], textid));
-			QueryResult rez = corpus.query(query, "TMP", false);
+			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0] + "|" + wordids[1], textid)); //$NON-NLS-1$ //$NON-NLS-2$
+			QueryResult rez = corpus.query(query, "TMP", false); //$NON-NLS-1$
 			
 			if (rez.getNMatch() != 2) {
-				Log.warning(NLS.bind("Warning: found more than or no word for id={0} in {1}", wordids[0] + ", " + wordids[1], textid));
+				Log.warning(NLS.bind(MessagesMP.WarningFoundMoreThanOrNoWordForIdP0P1InP2, wordids[0] + ", " + wordids[1], textid)); //$NON-NLS-2$ //$NON-NLS-1$
 				return null;
 			}
 			
@@ -285,7 +285,7 @@
 		}
 		
 		if (m == null || n == null) {
-			Log.warning(NLS.bind("Fail to find word with id={0} in text with id={1}", Arrays.toString(wordids), textid));
+			Log.warning(NLS.bind(MessagesMP.FailToFindWordWithIdP0InTextWithIdP1, Arrays.toString(wordids), textid));
 			return null;
 		}
 		else {
@@ -416,7 +416,7 @@
 		CorpusCommandPreferences commandPreferences = corpus.getProject().getCommandPreferences("backtomedia"); //$NON-NLS-1$
 		
 		String media_directory = commandPreferences.get(BackToMediaPreferences.MEDIA_PATH_PREFIX, alternative);
-		boolean media_auth = "true".equals(commandPreferences.get(BackToMediaPreferences.MEDIA_AUTH, alternative));
+		boolean media_auth = "true".equals(commandPreferences.get(BackToMediaPreferences.MEDIA_AUTH, alternative)); //$NON-NLS-1$
 		String secured_media_login = commandPreferences.get(BackToMediaPreferences.MEDIA_AUTH_LOGIN, alternative);
 		String media_format = commandPreferences.get(BackToMediaPreferences.MEDIA_EXTENSION, alternative);
 		String media_index = commandPreferences.get(BackToMediaPreferences.MEDIA_INDEX_NODE, alternative);
@@ -430,18 +430,18 @@
 				IEclipsePreferences node = corpus.getProject().getPreferencesScope().getNode(media_index);
 				String path2 = node.get(textid, null);
 				File audioFile = new File(path2);
-				if (path2.startsWith("http:/")) {
+				if (path2.startsWith("http:/")) { //$NON-NLS-1$
 					try {
 						InputStream conn = audioFile.toURI().toURL().openStream();
 						conn.close();
 						path = path2;
 					}
 					catch (Exception e) {
-						Log.info("Could not open media file: " + path2);
+						Log.info(MessagesMP.CouldNotOpenMediaFileP0 + path2);
 					}
 				}
 				else if (!audioFile.exists()) {
-					Log.info("Media file register in the index not found: " + audioFile);
+					Log.info(MessagesMP.MediaFileRegisterInTheIndexNotFoundP0 + audioFile);
 					return null;
 				}
 			}
@@ -456,7 +456,7 @@
 						
 						UsernamePasswordDialog dialog = new UsernamePasswordDialog(shell, new boolean[] { true, true }, url.getHost());
 						dialog.setUsername(secured_media_login);
-						dialog.setTitle("You must authenticate to access the media file");
+						dialog.setTitle(MessagesMP.YouMustAuthenticateToAccessTheMediaFile);
 						dialog.setDetails(NLS.bind(TXMUIMessages.loginToP0, new URL(media_directory).getHost()));
 						if (dialog.open() == Window.OK) {
 							System.setProperty(BackToMediaPreferences.MEDIA_AUTH_LOGIN, dialog.getUser());
@@ -471,28 +471,27 @@
 				}
 				
 				File audioFile = new File(path_prefix, textid + "." + media_format); //$NON-NLS-1$
-				if (path_prefix.startsWith("http")) {
+				if (path_prefix.startsWith("http")) { //$NON-NLS-1$
 					URL url = null;
 					try {
-						url = new URL(path_prefix + textid + "." + media_format);
+						url = new URL(path_prefix + textid + "." + media_format); //$NON-NLS-1$
 						if (!(media_auth)) {
-							System.out.println("URL=" + url);
 							InputStream conn = url.openStream();
 							conn.close();
 						}
 						path = url.toString();
 					}
 					catch (Exception e) {
-						Log.info("Could not open media file: " + url);
+						Log.info(MessagesMP.CouldNotOpenMediaFileP0 + url);
 					}
 				}
 				else { // local file
 					if (!new File(path_prefix).exists()) {
-						Log.info("Media directory not found: " + path_prefix);
+						Log.info(MessagesMP.MediaDirectoryNotFoundP0 + path_prefix);
 						return null;
 					}
 					else if (!audioFile.exists()) {
-						Log.info("Media file not found: " + audioFile);
+						Log.info(MessagesMP.MediaFileNotFoundP0 + audioFile);
 						return null;
 					}
 					path = audioFile.toURI().toString();
@@ -548,7 +547,7 @@
 				
 				// editor.getPlayer().setRepeat(true);
 				if (mediaPlayerEditor == null) {
-					Log.warning("Error: could not open the MediaPlayer.");
+					Log.warning(MessagesMP.ErrorCouldNotOpenTheMediaPlayer);
 					return null;
 				}
 				
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java	(revision 3822)
@@ -10,7 +10,7 @@
 	// auto populate the preference node qualifier from the current bundle id
 	// public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(BackToMediaPreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "backtomedia_";
+	public static final String PREFERENCES_PREFIX = "backtomedia_"; //$NON-NLS-1$
 	
 	public static final String REPEAT = "backtomedia_loop"; //$NON-NLS-1$
 	
@@ -29,33 +29,33 @@
 	public static final String WORD_CONTEXT_RIGHT_DISTANCE = "backtomedia_word_context_right_distance"; //$NON-NLS-1$
 	
 	// the sync modes
-	public static final String WORDMODE = "Word";
+	public static final String WORDMODE = "Word"; //$NON-NLS-1$
 	
-	public static final String STRUCTUREMODE = "Structure";
+	public static final String STRUCTUREMODE = "Structure"; //$NON-NLS-1$
 	
-	public static final String MILESTONEMODE = "Milestone";
+	public static final String MILESTONEMODE = "Milestone"; //$NON-NLS-1$
 	
-	public static final String MEDIA_PATH_PREFIX = "media_path_prefix";
+	public static final String MEDIA_PATH_PREFIX = "media_path_prefix"; //$NON-NLS-1$
 	
-	public static final String MEDIA_EXTENSION = "media_extension";
+	public static final String MEDIA_EXTENSION = "media_extension"; //$NON-NLS-1$
 	
-	public static final String MEDIA_AUTH = "media_auth";
+	public static final String MEDIA_AUTH = "media_auth"; //$NON-NLS-1$
 	
-	public static final String MEDIA_AUTH_LOGIN = "media_auth_login";
+	public static final String MEDIA_AUTH_LOGIN = "media_auth_login"; //$NON-NLS-1$
 	
-	public static final String MEDIA_AUTH_PASSWORD = "media_auth_password";
+	public static final String MEDIA_AUTH_PASSWORD = "media_auth_password"; //$NON-NLS-1$
 	
 	/**
 	 * preferences node to media file access paths
 	 */
-	public static final String MEDIA_INDEX_NODE = "media_index_node";
+	public static final String MEDIA_INDEX_NODE = "media_index_node"; //$NON-NLS-1$
 	
 	/**
 	 * one of the EModelService position constant to use when opening editor: ABOVE = 0 BELOW = 1 LEFT_OF = 2 RIGHT_OF = 3
 	 */
 	public static final String BACKTOMEDIA_POSITION = "backtomedia_position"; //$NON-NLS-1$
 	
-	public static final String PLAYER = "player";
+	public static final String PLAYER = "player"; //$NON-NLS-1$
 	
 	public BackToMediaPreferences() {
 		// TODO Auto-generated constructor stub
@@ -66,13 +66,13 @@
 		super.initializeDefaultPreferences();
 		
 		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
-		preferences.put(PLAYER, "HTML");
+		preferences.put(PLAYER, "HTML"); //$NON-NLS-1$
 		preferences.putBoolean(REPEAT, true);
 		preferences.put(SYNCMODE, MILESTONEMODE);
-		preferences.put(STRUCTURE, "u");
-		preferences.put(STRUCTURE_START_PROPERTY, "start");
-		preferences.put(STRUCTURE_END_PROPERTY, "end");
-		preferences.put(WORD_PROPERTY, "time");
+		preferences.put(STRUCTURE, "u"); //$NON-NLS-1$
+		preferences.put(STRUCTURE_START_PROPERTY, "start"); //$NON-NLS-1$
+		preferences.put(STRUCTURE_END_PROPERTY, "end"); //$NON-NLS-1$
+		preferences.put(WORD_PROPERTY, "time"); //$NON-NLS-1$
 		preferences.putInt(WORD_CONTEXT_LEFT_DISTANCE, 10); // conc + 2
 		preferences.putInt(WORD_CONTEXT_RIGHT_DISTANCE, 15); // conc + 2
 		preferences.putInt(BACKTOMEDIA_POSITION, EModelService.ABOVE);
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java	(revision 3822)
@@ -114,8 +114,8 @@
 		loopProperty = new BooleanFieldEditor(BackToMediaPreferences.REPEAT, MessagesMP.BackToMediaPreferencePage_1, getFieldEditorParent());
 		addField(loopProperty);
 		
-		String[][] values = { { "OVER", "-1" }, { "ABOVE", "" + EModelService.ABOVE }, { "BELOW", "" + EModelService.BELOW }, { "LEFT_OF", "" + EModelService.LEFT_OF }, { "RIGHT_OF", "" + EModelService.RIGHT_OF } };
-		backtotext_position = new ComboFieldEditor(BackToMediaPreferences.BACKTOMEDIA_POSITION, "BackToMedia position", values, getFieldEditorParent());
+		String[][] values = { { "OVER", "-1" }, { "ABOVE", "" + EModelService.ABOVE }, { "BELOW", "" + EModelService.BELOW }, { "LEFT_OF", "" + EModelService.LEFT_OF }, { "RIGHT_OF", "" + EModelService.RIGHT_OF } }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$
+		backtotext_position = new ComboFieldEditor(BackToMediaPreferences.BACKTOMEDIA_POSITION, MessagesMP.BackToMediaPosition, values, getFieldEditorParent());
 		addField(backtotext_position);
 		
 		String[][] choices = { { BackToMediaPreferences.WORDMODE, BackToMediaPreferences.WORDMODE },
@@ -139,10 +139,10 @@
 		defaultWordTimeProperty = new StringFieldEditor(BackToMediaPreferences.WORD_PROPERTY, MessagesMP.BackToMediaPreferencePage_4, spanGroup);
 		addField(defaultWordTimeProperty);
 		
-		wordLeftContextSizeProperty = new IntegerFieldEditor(BackToMediaPreferences.WORD_CONTEXT_LEFT_DISTANCE, "Left length", spanGroup);
+		wordLeftContextSizeProperty = new IntegerFieldEditor(BackToMediaPreferences.WORD_CONTEXT_LEFT_DISTANCE, MessagesMP.LeftLength, spanGroup);
 		addField(wordLeftContextSizeProperty);
 		
-		wordRightContextSizeProperty = new IntegerFieldEditor(BackToMediaPreferences.WORD_CONTEXT_RIGHT_DISTANCE, "Right length", spanGroup);
+		wordRightContextSizeProperty = new IntegerFieldEditor(BackToMediaPreferences.WORD_CONTEXT_RIGHT_DISTANCE, MessagesMP.RightLength, spanGroup);
 		addField(wordRightContextSizeProperty);
 		
 		defaultStructure = new StringFieldEditor(BackToMediaPreferences.STRUCTURE, MessagesMP.BackToMediaPreferencePage_5, spanGroup);
@@ -156,8 +156,8 @@
 		
 		updateEnables(BackToMediaPreferences.getInstance().getString(BackToMediaPreferences.SYNCMODE));
 		
-		String[][] players = {{ "HTML", "HTML" },  { "JFX", "JFX" }, { "VLC", "VLC" } };
-		playerProperty = new ComboFieldEditor(BackToMediaPreferences.PLAYER, "Embedded player", players, getFieldEditorParent());
+		String[][] players = {{ "HTML", "HTML" },  { "JFX", "JFX" }, { "VLC", "VLC" } }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+		playerProperty = new ComboFieldEditor(BackToMediaPreferences.PLAYER, MessagesMP.EmbeddedPlayer, players, getFieldEditorParent());
 		addField(playerProperty);
 	}
 	
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/uk/co/caprica/vlcj/player/embedded/videosurface/swt/CompositeVideoSurface.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/uk/co/caprica/vlcj/player/embedded/videosurface/swt/CompositeVideoSurface.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/uk/co/caprica/vlcj/player/embedded/videosurface/swt/CompositeVideoSurface.java	(revision 3822)
@@ -67,19 +67,19 @@
 		Field _idField;
 		try {
 			if (RuntimeUtil.isMac()) {
-				_viewField = Control.class.getDeclaredField("view");
+				_viewField = Control.class.getDeclaredField("view"); //$NON-NLS-1$
 				Object view = _viewField.get(c);
-				Class<?> idClass = Class.forName("org.eclipse.swt.internal.cocoa.id");
-				_idField = idClass.getDeclaredField("id");
+				Class<?> idClass = Class.forName("org.eclipse.swt.internal.cocoa.id"); //$NON-NLS-1$
+				_idField = idClass.getDeclaredField("id"); //$NON-NLS-1$
 				handle = _idField.getLong(view);
 				
 			}
 			else if (RuntimeUtil.isNix()) {
-				_idField = Composite.class.getDeclaredField("embeddedHandle");
+				_idField = Composite.class.getDeclaredField("embeddedHandle"); //$NON-NLS-1$
 				handle = _idField.getLong(c);
 			}
 			else {
-				_idField = Control.class.getDeclaredField("handle");
+				_idField = Control.class.getDeclaredField("handle"); //$NON-NLS-1$
 				handle = _idField.getLong(c);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/messages.properties	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/messages.properties	(revision 3822)
@@ -1,4 +1,5 @@
 
+BackToMediaPosition=BackToMedia position
 BackToMediaPreferencePage_1 = Open the player with the repeat option enable
 BackToMediaPreferencePage_2 = Media span build strategy
 BackToMediaPreferencePage_3 = Span to play
@@ -6,6 +7,9 @@
 BackToMediaPreferencePage_5 = Structure
 BackToMediaPreferencePage_6 = Start property
 BackToMediaPreferencePage_7 = End property
+Canceled=Canceled.
+MediaPreferences=Media preferences
+MediaPreferencesUpdatedWithP0=Media preferences updated with {0}
 
 BackToMedia_0               = No StructuredSelection. Aborting.
 BackToMedia_1               = Current editor is not a ConcordancesEditor. Aborting.
@@ -23,15 +27,38 @@
 BackToMedia_7               = TEXT ID: 
 
 cancel = Cancel
+CouldNotOpenMediaFileP0=Could not open media file: {0}
+EmbeddedPlayer=Embedded player
+EnterFilePathOrURL=Enter file path or URL
+ErrorCorpusWithIDP0NotFound=Corpus with ID={0} not found.
+ErrorCouldNotOpenTheMediaPlayer=Error: could not open the MediaPlayer.
+ErrorNoWordPropertyP0FoundInCorpusP1=No word property {0} found in corpus {1}.
 
 error_native_libs = ERROR: failed to find VLC native libraries
 error_open_media  = Error: could not open VLC player.
+FailToFindWordsWithIdsP0InTextWithIdP1=Fail to find words with ids={0} in text with id={1}.
+FailToFindWordWithIdP0InTextWithIdP1=Fail to find word with id={0} in text with id={1}
+FailToOpenMediaForParametersCorpusP0TextP1WordP2P3=Fail open media for parameters corpus={0} text={1} word={2}: {3}
+ImpossibleToFindVLC=** Impossible to find VLC (please check that you have at least VLC version 3.0).
+ImpossibleToUseYourVLCP0=** Impossible to use your VLC [{0}] (please check that you have at least VLC version 3.0).
+LeftLength=Left length
+loginToP0=
+MediaDirectoryNotFoundP0=Media directory not found: {0}
+MediaFileNotFoundP0=Media file not found: {0}
+MediaFileRegisterInTheIndexNotFoundP0=Media file register in the index not found: {0}
+Minus10S=-10s
 
 opening = Opening: 
 
 opening_media = Opening media... 
+OpeningMediaFile=Opening media file...
+Opennnn=Open...
 
 pause = PAUSE
+Pause=Pause
+Play=Play
+PlayingMedia=Playing media...
+Plus10S=+10s
 
 play = PLAY
 
@@ -42,13 +69,22 @@
 repeat = Repeat
 
 resume = RESUME
+Rate10=Rate (1.0)
+Rate1f=Rate (%.1f)
+RightLength=Right length
 
 select_file       = Selecting file...
 select_file_title = Select a audio/video file
 select_object     = Selected object: 
 
 stop = STOP
+Stop=Stop
 
 time_range = Time range
 
 volume = Vol
+VolumeP0=Volume ({0}%)
+WarningFoundMoreThanOneWordForIdP0InP1=Warning: found more than one word for id={0} in {1}
+WarningFoundMoreThanOrNoWordForIdP0P1InP2=Warning: found more than or no word for id={0},{1} in {2}
+WarningFoundNoWordForIdP0InP1=Warning: found no word for id={0} in {1}
+YouMustAuthenticateToAccessTheMediaFile=You must authenticate to access the media file
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java	(revision 3821)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java	(revision 3822)
@@ -7,6 +7,10 @@
 	
 	private static final String BUNDLE_NAME = "vlcplayerrcp.messages"; //$NON-NLS-1$
 	
+	public static String Canceled;
+	public static String MediaPreferences;
+	public static String MediaPreferencesUpdatedWithP0;
+	
 	public static String BackToMedia_0;
 	
 	public static String BackToMedia_1;
@@ -35,6 +39,8 @@
 	
 	public static String BackToMedia_7;
 	
+	public static String BackToMediaPosition;
+
 	public static String BackToMediaPreferencePage_1;
 	
 	public static String BackToMediaPreferencePage_2;
@@ -50,19 +56,65 @@
 	public static String BackToMediaPreferencePage_7;
 	
 	public static String cancel;
+
+	public static String CouldNotOpenMediaFileP0;
+
+	public static String EmbeddedPlayer;
+
+	public static String EnterFilePathOrURL;
+
+	public static String ErrorCorpusWithIDP0NotFound;
+
+	public static String ErrorCouldNotOpenTheMediaPlayer;
+
+	public static String ErrorNoWordPropertyP0FoundInCorpusP1;
 	
 	public static String error_native_libs;
 	
 	public static String error_open_media;
+
+	public static String FailToFindWordsWithIdsP0InTextWithIdP1;
+
+	public static String FailToFindWordWithIdP0InTextWithIdP1;
+
+	public static String FailToOpenMediaForParametersCorpusP0TextP1WordP2P3;
+
+	public static String ImpossibleToFindVLC;
+
+	public static String ImpossibleToUseYourVLCP0;
+
+	public static String LeftLength;
+
+	public static String loginToP0;
 	
+	public static String MediaDirectoryNotFoundP0;
+
+	public static String MediaFileNotFoundP0;
+
+	public static String MediaFileRegisterInTheIndexNotFoundP0;
+
+	public static String Minus10S;
+
 	public static String opening;
 	
 	public static String opening_media;
+
+	public static String OpeningMediaFile;
+
+	public static String Opennnn;
 	
 	public static String pause;
 	
 	public static String play;
 	
+	public static String Pause;
+
+	public static String Play;
+
+	public static String PlayingMedia;
+
+	public static String Plus10S;
+
 	public static String playing;
 	
 	public static String rate;
@@ -70,6 +122,12 @@
 	public static String repeat;
 	
 	public static String resume;
+
+	public static String Rate10;
+
+	public static String Rate1f;
+
+	public static String RightLength;
 	
 	public static String select_file;
 	
@@ -78,12 +136,25 @@
 	public static String select_object;
 	
 	public static String stop;
+
+	public static String Stop;
 	
 	public static String time_range;
 	
 	public static String volume;
+
+	public static String VolumeP0;
 	
 	
+	public static String WarningFoundMoreThanOneWordForIdP0InP1;
+
+	public static String WarningFoundMoreThanOrNoWordForIdP0P1InP2;
+
+	public static String WarningFoundNoWordForIdP0InP1;
+
+	public static String YouMustAuthenticateToAccessTheMediaFile;
+
+
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, MessagesMP.class);
 	}
